## kcm-about-extended 0+p20201123+git20201207.1947

=== CMakeLists.txt ===
project(kcm-about-extended)
set(PROJECT_VERSION "5.5.5")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.4.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras)
find_package(Wayland)
find_package(epoxy REQUIRED)
set(KF5_MIN_VERSION "5.9.0")
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    KDELibs4Support
    Solid
    NetworkManagerQt
)

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm-about-distro\")

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DQT_NO_KEYWORDS)

set(kcm_SRCS
    main.cpp
    Module.cpp
    OSRelease.cpp
    openglinfo.cpp
)

ki18n_wrap_ui(kcm_SRCS Module.ui)

add_library(kcm_about_extended MODULE ${kcm_SRCS})

target_link_libraries(kcm_about_extended
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::I18n
    KF5::Solid
    KF5::KDELibs4Support
    KF5::NetworkManagerQt
    kwinglutils
    xcb
    Qt5::X11Extras
    ${epoxy_LIBRARY})

install(TARGETS kcm_about_extended DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES about-extended.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kcm-about-extended (0+p20201123+git20201207.1947-0) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 19:47:12 +0000

kcm-about-extended (0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Rohan Garg <rohan@kde.org>  Tue, 15 Mar 2016 11:14:55 +0100

=== debian/control ===
Source: kcm-about-extended
Section: unknown
Priority: optional
Maintainer: Rohan Garg <rohan@kde.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kwin-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5networkmanagerqt-dev,
               libkf5solid-dev,
               libwayland-dev,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/netrunner-common-extras/kcm-about-extended
Vcs-Git: https://github.com/dci-extras-packaging/kcm-about-extended
Vcs-Browser: https://github.com/dci-extras-packaging/kcm-about-extended

Package: kcm-about-extended
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: extended version of the about-distro module
 Extended version of the about-distro module that displays
 extra information.
